{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 3,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ActionImpl.getContext()Lorg/eclipse/uml2/uml/Classifier;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ConditionalNodeOperations.validateNoInputPins(Lorg/eclipse/uml2/uml/ConditionalNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getImportedPackages()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateNonLeafRedefinition(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateOutputPinEdges(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateGroupOwned(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ConditionalNodeOperations.validateResultNoIncoming(Lorg/eclipse/uml2/uml/ConditionalNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateInputPinEdges(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/LoopNodeOperations.validateExecutableNodes(Lorg/eclipse/uml2/uml/LoopNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.validateOwned(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateEdges(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ExpansionRegionOperations.validateExpansionNodes(Lorg/eclipse/uml2/uml/ExpansionRegion;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/LoopNodeOperations.validateInputEdges(Lorg/eclipse/uml2/uml/LoopNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/LoopNodeOperations.validateBodyOutputPins(Lorg/eclipse/uml2/uml/LoopNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ConditionalNodeOperations.validateMatchingOutputPins(Lorg/eclipse/uml2/uml/ConditionalNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.excludeCollisions(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getNamesOfMember(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ConditionalNodeOperations.validateExecutableNodes(Lorg/eclipse/uml2/uml/ConditionalNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.validateOwnedStructuredNode(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ConditionalNodeOperations.validateClauseNoPredecessor(Lorg/eclipse/uml2/uml/ConditionalNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateNotContained(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ConditionalNodeOperations.validateOneClauseWithExecutableNode(Lorg/eclipse/uml2/uml/ConditionalNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateRedefinitionContextValid(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.createPackageImport(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/PackageImport;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.createElementImport(Lorg/eclipse/uml2/uml/PackageableElement;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/ElementImport;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getImportedElements()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/LoopNodeOperations.validateResultNoIncoming(Lorg/eclipse/uml2/uml/LoopNode;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateRedefinitionConsistent(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.membersAreDistinguishable()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateNodesAndEdges(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.validateMembersDistinguishable(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.importMembers(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isConsistentWith(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 3,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 3
  }
}